import move.*;

public class Demove {
	public static void main(String[] args) {
		int bpp=32;
		if(args.length<2) usage();
		else if(args.length==3) bpp=Integer.parseInt(args[2]);
		try { UserInterface gui = new UserInterface(args[0],args[1],bpp); gui.start(); gui.dispose(); }
		catch(Exception e) { e.printStackTrace(); }
	}
	private static void usage() {
		System.out.println("Usage: Move path name [bpp]\n");
		System.out.println("\tpath: Path to files of images and markers");
		System.out.println("\tname: Name of imagefiles without index");
		System.out.println("\tbpp:  Bits per pixel (default 32)");
		System.out.println("\n(C)2oo4 M|chaeL bL|eM");
		System.exit(0);
	}
}