package move;

import java.awt.*;
import java.io.*;

// codesnips, tricks and usefull routines
public class Toolbox {
	// file seperator
	public static String FileSep = System.getProperty("file.separator");

	// does file exist?
	public static boolean exists(String file) { return (new File(file)).exists(); }

	// creates (buffered) Image from file by help of a Frame
    public static Image getImage(String file, Frame f, boolean buffered) {
		Toolkit tk=f.getToolkit();
		if(!exists(file)) return null;
		if(buffered) return tk.getImage(file); else return tk.createImage(file);
	}

	// creates String with leading zeros from value with amt chars
	public static String getString(int value, int amt) {
		String num = new String(""+value);
		String zero = "";
		for(int k=num.length(); k<amt; k++) zero+="0";
		return zero+num;
	}

	// Thread sleeps for amount of ms
	public static void sleep(int ms) {
		try { Thread.sleep(ms); }
		catch(Exception e) { e.printStackTrace(); }
	}
}


